org.apache.tools.ant.taskdefs.optional.junit

## Class Enumerations

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junit.Enumerations

-     public final class Enumerations
      extends java.lang.Object

  A couple of methods related to enumerations that might be useful. This class should probably disappear once the required JDK is set to 1.2 instead of 1.1.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Enumeration` | `fromArray(java.lang.Object[] array)` creates an enumeration from an array of objects.
    `static java.util.Enumeration` | `fromCompound(java.util.Enumeration[] enums)` creates an enumeration from an array of enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromArray

          public static java.util.Enumeration fromArray(java.lang.Object[] array)

      creates an enumeration from an array of objects.
      Parameters:
        `array` - the array of object to enumerate.
      Returns:
        the enumeration over the array of objects.

    - #### fromCompound

          public static java.util.Enumeration fromCompound(java.util.Enumeration[] enums)

      creates an enumeration from an array of enumeration. The created enumeration will sequentially enumerate over all elements of each enumeration and skip `null` enumeration elements in the array.
      Parameters:
        `enums` - the array of enumerations.
      Returns:
        the enumeration over the array of enumerations.